LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
button_state Struct Reference

`#include <irrecord.h>`

## Data Fields
struct ir_ncode | ncode
char | message [128]
int | retval
char | buffer [BUTTON]
char * | string
lirc_t | data
lirc_t | sum
unsigned int | count
int | flag
int | no_data

## Detailed Description

State while recording buttons, privates besides commented.

Definition at line 234 of file irrecord.h.

## Field Documentation

char button_state::message[128]

Error message, valid on STS_BTN_*_ERROR.

Definition at line 238 of file irrecord.h.

struct ir_ncode button_state::ncode

Recorded button, valid on STS_BTN_BUTTON_DONE.

Definition at line 236 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/irrecord.h (3869b68 2015-08-16 08:55:45 +0200)